ICONV(1)

NOM
iconv - Convertir l'encodage de fichiers d'un encodage vers un autre

SYNOPSIS
iconv -f encodage [-t encodage] [fichier] ...

DESCRIPTION
Le programme iconv convertit l'encodage des caractères d'un fichier, ou de l'entrée standard si aucun fichier n'a été spécifié, d'un jeu de caractères vers un autre. Le résultat est écrit sur la sortie standard à moins que l'option --output ait été spécifiée.

--from-code, -f encodage
    Convertir les caractères à partir de l'encodage encodage.

--to-code, -t encodage
    Convertir les caractères vers l'encodage encodage. S'il n'est pas spécifié, l'encodage choisi est celui de la locale du système.

--list, -l
    Afficher la liste des jeux de caractères reconnus.

-c  Supprimer les caractères invalides de la sortie.

--output, -o fichier
    Spécifier le fichier de sortie (au lieu de stdout).

--silent, -s
    Ne supprimer que les avertissements et non les erreurs.

--verbose
    Afficher une information de progression.

--help, -?
    Afficher l'aide.

--usage
    Afficher un bref descriptif de l'utilisation de ce programme.

--version, -V
    Afficher la version du programme.

ENCODAGE
Les valeurs possibles pour --from-code et --to-code peuvent être listées avec iconv --list et toutes les combinaisons des valeurs listées sont gérées. De plus les deux suffixes suivants sont supportés :

//TRANSLIT
    Lorsque la chaîne « //TRANSLIT » est ajoutée à --to-code, la translitération est activée. Cela signifie que lorsqu'un caractère ne peut pas être représenté dans l'encodage cible, il pourra être approximé par un caractère de forme similaire.

//IGNORE
    Lorsque la chaîne « //IGNORE » est ajoutée à --to-code, les caractères qui ne peuvent pas être représentés dans l'encodage cible seront supprimés silencieusement.

AUTEUR
iconv a été écrit par Ulrich Drepper comme étant une partie de la bibliothèque GNU C.

Cette page de manuel a été écrite par Joël Klecker <espy@debian.org>, pour la distribution Debian GNU/Linux.

TRADUCTION
Cette page de manuel a été traduite par Alain Portal <aportal AT univ-montp2 DOT fr> en 2003. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.